# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# C:\b\abs_2cwd5shdt1\clone\recipe, last modified Wed Jan 10 15:42:05 2024
# ------------------------------------------------

package:
  name: libspatialite
  version: 5.1.0
source:
  patches:
    - patches/0001-win_fix_paths_no_gpl.patch
  sha256: 43be2dd349daffe016dd1400c5d11285828c22fea35ca5109f21f3ed50605080
  url: https://www.gaia-gis.it/gaia-sins/libspatialite-sources/libspatialite-5.1.0.tar.gz
build:
  number: '0'
  run_exports:
    - libspatialite >=5.1.0,<5.2.0a0
  string: hbdd3232_0
requirements:
  build:
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-patch 2.7.5 2
    - msys2-conda-epoch 20160418 1
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.12.12 haa95532_0
    - expat 2.5.0 hd77b12b_0
    - freexl 2.0.0 hd7a5696_0
    - geos 3.8.0 h33f27b4_0
    - jpeg 9e h2bbff1b_1
    - lerc 3.0 hd77b12b_0
    - libcurl 8.5.0 h86230a5_0
    - libdeflate 1.17 h2bbff1b_1
    - libiconv 1.16 h2bbff1b_2
    - libssh2 1.10.0 he2ea4bf_2
    - libtiff 4.5.1 hd77b12b_0
    - libxml2 2.10.4 h0ad7f3c_1
    - lz4-c 1.9.4 h2bbff1b_0
    - minizip 4.0.3 hb68bac4_0
    - openssl 3.0.12 h2bbff1b_0
    - proj 9.3.1 ha107b6e_0
    - sqlite 3.41.2 h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - xz 5.4.5 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
    - zstd 1.5.5 hd43e919_0
  run:
    - freexl >=2.0.0,<3.0a0
    - geos >=3.8.0,<3.8.1.0a0
    - libiconv >=1.16,<2.0a0
    - libxml2 >=2.10.4,<2.11.0a0
    - minizip >=4.0.3,<5.0a0
    - proj >=9.3.1,<9.3.2.0a0
    - sqlite >=3.41.2,<4.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
    - zlib >=1.2.13,<1.3.0a0
about:
  description: 'SpatiaLite is an open source library intended to extend the SQLite
    core to

    support fully fledged Spatial SQL capabilities.

    SQLite is intrinsically simple and lightweight. It implemented as

    a single lightweight library implementing the full SQL engine

    standard SQL implementation: almost complete SQL-92.

    There is no complex client/server architecture.

    A whole database simply corresponds to a single monolithic file (no size limits)

    any DB-file can be safely exchanged across different platforms, because the

    internal architecture is universally portable no installation, no configuration.

    '
  dev_url: https://www.gaia-gis.it/fossil/libspatialite/dir?type=tree
  doc_url: https://www.gaia-gis.it/fossil/libspatialite/index
  home: https://www.gaia-gis.it/fossil/libspatialite/index
  license: MPL-1.1 OR GPL-2.0-or-later OR LGPL-2.1-or-later
  license_family: OTHER
  license_file: COPYING
  summary: Extend the SQLite core to support fully fledged Spatial SQL capabilities
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 2c6431b0-706c-4ad1-bcae-92f9b2cf232a
  recipe-maintainers:
    - danclewley
    - gillins
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/libspatialite-feedstock.git
  sha: 7e3ef2723276355dd3046488ed5f0aca3f151e11
